Login
[x]
Log in using an account from:
Fedora Account System
Red Hat Associate
Red Hat Customer
Or login using a Red Hat Bugzilla account
Forgot Password
Login:
Hide Forgot
Create an Account
Red Hat Bugzilla – Attachment 301724 Details for
Bug 441604
/etc/init.d/nfslock carries obsolete code for Linux 2.2
[?]
New
Simple Search
Advanced Search
My Links
Browse
Requests
Reports
Current State
Search
Tabular reports
Graphical reports
Duplicates
Other Reports
User Changes
Plotly Reports
Bug Status
Bug Severity
Non-Defaults
|
Product Dashboard
Help
Page Help!
Bug Writing Guidelines
What's new
Browser Support Policy
5.0.4.rh83 Release notes
FAQ
Guides index
User guide
Web Services
Contact
Legal
This site requires JavaScript to be enabled to function correctly, please enable it.
[patch]
nfslock initscript cleanup patch
nfslock.init-remove-linux-2.2-code.patch (text/plain), 2.33 KB, created by
Michal Schmidt
on 2008-04-08 22:58:45 UTC
(
hide
)
Description:
nfslock initscript cleanup patch
Filename:
MIME Type:
Creator:
Michal Schmidt
Created:
2008-04-08 22:58:45 UTC
Size:
2.33 KB
patch
obsolete
>Index: nfslock.init >=================================================================== >RCS file: /cvs/pkgs/rpms/nfs-utils/devel/nfslock.init,v >retrieving revision 1.20 >diff -u -r1.20 nfslock.init >--- nfslock.init 3 Mar 2008 16:22:08 -0000 1.20 >+++ nfslock.init 8 Apr 2008 22:28:54 -0000 >@@ -25,22 +25,6 @@ > # Check that networking is up. > [ "${NETWORKING}" = "no" ] && exit 6 > >-# Start lockd from userland only if kernel <= 2.2.18 >-OS_RELEASE=`uname --release` >-OS_RELEASE_MAJOR=`echo "$OS_RELEASE" | sed 's/\(^[0-9]\)\..*/\1/'` >-OS_RELEASE_MINOR=`echo "$OS_RELEASE" | sed 's/\(^[0-9]\)\.\([0-9]*\)\..*/\2/'` >-OS_RELEASE_VERSION=`echo "$OS_RELEASE" | sed 's/\(^[0-9]\)\.\([0-9]*\)\.\([0-9]*\).*/\3/'` >- >-if [ "$OS_RELEASE_MAJOR" -le 2 -a "$OS_RELEASE_MINOR" -le 2 -a "$OS_RELEASE_VERSION" -le 18 ] ; then >- USERLAND_LOCKD="yes" >-else >- USERLAND_LOCKD= >-fi >- >-if [ "$USERLAND_LOCKD" ] ; then >- [ -x /sbin/rpc.lockd ] || exit 5 >-fi >- > [ -x /sbin/rpc.statd ] || exit 5 > > RETVAL=0 >@@ -58,21 +42,15 @@ > rm -f /var/run/sm-notify.pid > > # Start daemons. >- if [ "$USERLAND_LOCKD" ]; then >- echo -n $"Starting NFS locking: " >- daemon rpc.lockd >- echo >- else > # See if the kernel lockd should start up > # listening on a particular port > # >- LOCKDARG="" >- [ -n "$LOCKD_TCPPORT" ] && LOCKDARG="nlm_tcpport=$LOCKD_TCPPORT" >- [ -n "$LOCKD_UDPPORT" ] && \ >- LOCKDARG="$LOCKDARG nlm_udpport=$LOCKD_UDPPORT" >- [ -n "$LOCKDARG" ] && \ >- modprobe lockd $LOCKDARG >- fi >+ LOCKDARG="" >+ [ -n "$LOCKD_TCPPORT" ] && LOCKDARG="nlm_tcpport=$LOCKD_TCPPORT" >+ [ -n "$LOCKD_UDPPORT" ] && \ >+ LOCKDARG="$LOCKDARG nlm_udpport=$LOCKD_UDPPORT" >+ [ -n "$LOCKDARG" ] && \ >+ modprobe lockd $LOCKDARG > echo -n $"Starting NFS statd: " > # See if a statd's ports has been defined > [ -n "$STATD_PORT" ] && STATDARG="$STATDARG -p $STATD_PORT" >@@ -115,9 +93,6 @@ > stop > ;; > status) >- if [ "$USERLAND_LOCKD" ]; then >- status lockd >- fi > status rpc.statd > ;; > restart) >@@ -128,13 +103,8 @@ > if [ ! -f /var/lock/subsys/nfslock ] ; then > echo $"start"; exit 0 > fi >- /sbin/pidof rpc.statd >/dev/null 2>&1; STATD="$?" >- if [ "$USERLAND_LOCKD" ]; then >- /sbin/pidof lockd >/dev/null 2>&1; LOCKD="$?" >- else >- LOCKD=0 >- fi >- if [ $STATD = 1 -o $LOCKD = 1 ] ; then >+ /sbin/pidof rpc.statd >/dev/null 2>&1 >+ if [ $? = 1 ] ; then > echo $"restart"; exit 0 > fi > ;;
You cannot view the attachment while viewing its details because your browser does not support IFRAMEs.
View the attachment on a separate page
.
View Attachment As Diff
View Attachment As Raw
Actions:
View
|
Diff
Attachments on
bug 441604
: 301724